{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-44.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "gc-8.2.2-6.fc40",
        "store-results-to": "/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.tar.xz",
        "time-created": "2024-07-03 12:38:38",
        "time-finished": "2024-07-03 12:40:22",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.tar.xz' '--gcc-analyze' '/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function 'int main(int, char**)'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 137,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'a1'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  137 |   auto a1 = 6538;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 144,
                    "column": 16,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'a4'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  144 |   decltype(a2) a4 = 34895.034;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 148,
                    "column": 9,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'sa'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148 |   short sa[cxx11test::get_val()] = { 0 };",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 152,
                    "column": 23,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'il'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  152 |   cxx11test::testinit il = { 4323, 435234.23544 };",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                       ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 173,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'a'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  173 |   auto a = sum(1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 174,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'b'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  174 |   auto b = sum(1, 2);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 175,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'c'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  175 |   auto c = sum(1.0, 2.0, 3.0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 180,
                    "column": 25,
                    "event": "warning[-Wvexing-parse]",
                    "message": "empty parentheses were disambiguated as a function declaration",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  180 |   cxx11test::delegate d2();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 180,
                    "column": 25,
                    "event": "note",
                    "message": "remove parentheses to default-initialize a variable",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  180 |   cxx11test::delegate d2();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         --",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 180,
                    "column": 25,
                    "event": "note",
                    "message": "or replace parentheses with braces to value-initialize a variable",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 189,
                    "column": 9,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'c'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  189 |   char *c = nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 197,
                    "column": 15,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'utf8'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  197 |   char const *utf8 = u8\"UTF-8 string \\u2500\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 198,
                    "column": 19,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'utf16'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  198 |   char16_t const *utf16 = u\"UTF-8 string \\u2500\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 199,
                    "column": 19,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'utf32'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  199 |   char32_t const *utf32 = U\"UTF-32 string \\u2500\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 173,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'a' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 173,
                    "column": 8,
                    "event": "note",
                    "message": "Value stored to 'a' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 174,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'b' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 174,
                    "column": 8,
                    "event": "note",
                    "message": "Value stored to 'b' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 175,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'c' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 175,
                    "column": 8,
                    "event": "note",
                    "message": "Value stored to 'c' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 197,
                    "column": 15,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'utf8' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 197,
                    "column": 15,
                    "event": "note",
                    "message": "Value stored to 'utf8' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 198,
                    "column": 19,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'utf16' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 198,
                    "column": 19,
                    "event": "note",
                    "message": "Value stored to 'utf16' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 199,
                    "column": 19,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'utf32' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 199,
                    "column": 19,
                    "event": "note",
                    "message": "Value stored to 'utf32' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordprnt.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordbscs.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "1826503b41acfb6845bbfcee47d555177666590e",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function 'CORD_ec_flush_buf'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 440,
                    "column": 5,
                    "event": "warning[-Wanalyzer-use-of-uninitialized-value]",
                    "message": "use of uninitialized value '&*x.ec_buf'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 462,
                    "column": 6,
                    "event": "note",
                    "message": "(1) entry to 'CORD_from_file_eager'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 464,
                    "column": 13,
                    "event": "note",
                    "message": "(2) region created on stack here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 470,
                    "column": 12,
                    "event": "note",
                    "message": "(3) following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 476,
                    "column": 13,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 476,
                    "column": 13,
                    "event": "note",
                    "message": "(5) calling 'CORD_ec_flush_buf' from 'CORD_from_file_eager'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 432,
                    "column": 6,
                    "event": "note",
                    "message": "(6) entry to 'CORD_ec_flush_buf'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 437,
                    "column": 8,
                    "event": "note",
                    "message": "(7) following 'false' branch (when 'len != 0')...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 39,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/include/gc.h",
                    "line": 1042,
                    "column": 31,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 438,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro 'GC_MALLOC_ATOMIC'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 439,
                    "column": 8,
                    "event": "note",
                    "message": "(9) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "(10) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/cord/cordxtra.c",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "(11) use of uninitialized value '&*x.ec_buf' here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  438|       s = (char *)GC_MALLOC_ATOMIC(len + 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  439|       if (NULL == s) OUT_OF_MEMORY;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  440|->     memcpy(s, x[0].ec_buf, len);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  441|       s[len] = '\\0';",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  442|       x[0].ec_cord = CORD_cat_char_star(x[0].ec_cord, s, len);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "16c0e612c5393bb5524dd3a89f4be60dae46781c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_stop_world.c",
                    "line": 359,
                    "column": 19,
                    "event": "warning[-Wstringop-overflow=]",
                    "message": "'__atomic_load_8' writing 8 bytes into a region of size 0 overflows the destination",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  359 |     suspend_cnt = (word)ao_load_async(&(me -> stop_info.ext_suspend_cnt));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "destination object is likely at address zero",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  357|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  358|   # ifdef GC_ENABLE_SUSPEND_THREAD",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  359|->     suspend_cnt = (word)ao_load_async(&(me -> stop_info.ext_suspend_cnt));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  360|   # endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  361|     if (((word)me->stop_info.last_stop_count & ~(word)THREAD_RESTARTED)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "d7e2f6c98c2da4b053b60372e3afd1578ff4c644",
            "key_event_idx": 2,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 63,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function 'GC_linux_main_stack_base'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 110,
                    "column": 20,
                    "event": "warning[-Wanalyzer-fd-leak]",
                    "message": "leak of file descriptor 'open(\"/proc/self/stat\", 0)'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 123,
                    "column": 26,
                    "event": "note",
                    "message": "in expansion of macro 'PROC_READ'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 76,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 1485,
                    "column": 15,
                    "event": "note",
                    "message": "(1) entry to 'GC_init_parallel.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 1494,
                    "column": 8,
                    "event": "note",
                    "message": "(2) following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 1494,
                    "column": 29,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 1494,
                    "column": 29,
                    "event": "note",
                    "message": "(4) calling 'GC_init' from 'GC_init_parallel.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 62,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 919,
                    "column": 21,
                    "event": "note",
                    "message": "(5) entry to 'GC_init'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 928,
                    "column": 8,
                    "event": "note",
                    "message": "(6) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(8) calling 'GC_init.part.0' from 'GC_init'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 919,
                    "column": 21,
                    "event": "note",
                    "message": "(9) entry to 'GC_init.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 996,
                    "column": 5,
                    "event": "note",
                    "message": "(10) calling 'GC_setpagesize' from 'GC_init.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 828,
                    "column": 17,
                    "event": "note",
                    "message": "(11) entry to 'GC_setpagesize'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 834,
                    "column": 12,
                    "event": "note",
                    "message": "(12) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 841,
                    "column": 3,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 996,
                    "column": 5,
                    "event": "note",
                    "message": "(14) returning to 'GC_init.part.0' from 'GC_setpagesize'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/include/private/dbg_mlc.h",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/backgraph.c",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 40,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/include/private/gc_priv.h",
                    "line": 526,
                    "column": 22,
                    "event": "note",
                    "message": "(15) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1197,
                    "column": 7,
                    "event": "note",
                    "message": "in expansion of macro 'GET_TIME'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1199,
                    "column": 5,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1205,
                    "column": 5,
                    "event": "note",
                    "message": "(17) calling 'GC_exclude_static_roots_inner' from 'GC_init.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 58,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/mark_rts.c",
                    "line": 568,
                    "column": 15,
                    "event": "note",
                    "message": "(18) entry to 'GC_exclude_static_roots_inner'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/mark_rts.c",
                    "line": 600,
                    "column": 8,
                    "event": "note",
                    "message": "(19) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/mark_rts.c",
                    "line": 601,
                    "column": 39,
                    "event": "note",
                    "message": "(20) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1205,
                    "column": 5,
                    "event": "note",
                    "message": "(21) returning to 'GC_init.part.0' from 'GC_exclude_static_roots_inner'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1206,
                    "column": 5,
                    "event": "note",
                    "message": "(22) calling 'GC_exclude_static_roots_inner' from 'GC_init.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/mark_rts.c",
                    "line": 568,
                    "column": 15,
                    "event": "note",
                    "message": "(23) entry to 'GC_exclude_static_roots_inner'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/mark_rts.c",
                    "line": 600,
                    "column": 8,
                    "event": "note",
                    "message": "(24) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/mark_rts.c",
                    "line": 601,
                    "column": 39,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1206,
                    "column": 5,
                    "event": "note",
                    "message": "(26) returning to 'GC_init.part.0' from 'GC_exclude_static_roots_inner'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1220,
                    "column": 10,
                    "event": "note",
                    "message": "(27) following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1221,
                    "column": 26,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 1221,
                    "column": 26,
                    "event": "note",
                    "message": "(29) calling 'GC_get_main_stack_base' from 'GC_init.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1273,
                    "column": 9,
                    "event": "note",
                    "message": "(30) entry to 'GC_get_main_stack_base'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1319,
                    "column": 18,
                    "event": "note",
                    "message": "(31) calling 'GC_linux_main_stack_base' from 'GC_get_main_stack_base'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1128,
                    "column": 16,
                    "event": "note",
                    "message": "(32) entry to 'GC_linux_main_stack_base'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1145,
                    "column": 10,
                    "event": "note",
                    "message": "(33) following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1145,
                    "column": 39,
                    "event": "note",
                    "message": "(34) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1145,
                    "column": 34,
                    "event": "note",
                    "message": "(35) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1164,
                    "column": 9,
                    "event": "note",
                    "message": "(36) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1164,
                    "column": 9,
                    "event": "note",
                    "message": "(37) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1165,
                    "column": 8,
                    "event": "note",
                    "message": "(38) assuming 'open(\"/proc/self/stat\", 0)' is a valid file descriptor (>= 0)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1165,
                    "column": 8,
                    "event": "note",
                    "message": "(39) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1167,
                    "column": 11,
                    "event": "note",
                    "message": "(40) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1167,
                    "column": 11,
                    "event": "note",
                    "message": "(41) calling 'GC_repeat_read' from 'GC_linux_main_stack_base'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 117,
                    "column": 18,
                    "event": "note",
                    "message": "(42) entry to 'GC_repeat_read'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 122,
                    "column": 21,
                    "event": "note",
                    "message": "(43) following 'true' branch (when 'num_read < count')...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 110,
                    "column": 20,
                    "event": "note",
                    "message": "(44) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 123,
                    "column": 26,
                    "event": "note",
                    "message": "in expansion of macro 'PROC_READ'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 1167,
                    "column": 11,
                    "event": "note",
                    "message": "(45) returning to 'GC_linux_main_stack_base' from 'GC_repeat_read'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 110,
                    "column": 20,
                    "event": "note",
                    "message": "(46) 'open(\"/proc/self/stat\", 0)' leaks here; was opened at (37)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/os_dep.c",
                    "line": 123,
                    "column": 26,
                    "event": "note",
                    "message": "in expansion of macro 'PROC_READ'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  108|         || defined(PROC_VDB) || defined(SOFT_VDB)) && !defined(PROC_READ)) \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  109|       || defined(CPPCHECK)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110|-> # define PROC_READ read",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  111|             /* Should probably call the real read, if read is wrapped.    */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  112|   #endif",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "b5131892af7394c1099256c8e1e72510cf485eb7",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function 'GC_check_finalizer_nested'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 734,
                    "column": 32,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL '0'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 781,
                    "column": 15,
                    "event": "note",
                    "message": "(1) entry to 'GC_exit_check.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/misc.c",
                    "line": 786,
                    "column": 9,
                    "event": "note",
                    "message": "(2) calling 'GC_gcollect' from 'GC_exit_check.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 51,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/alloc.c",
                    "line": 1318,
                    "column": 21,
                    "event": "note",
                    "message": "(3) entry to 'GC_gcollect'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/alloc.c",
                    "line": 1322,
                    "column": 11,
                    "event": "note",
                    "message": "(4) calling 'GC_try_to_collect_general' from 'GC_gcollect'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/alloc.c",
                    "line": 1275,
                    "column": 16,
                    "event": "note",
                    "message": "(5) entry to 'GC_try_to_collect_general'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/alloc.c",
                    "line": 1283,
                    "column": 8,
                    "event": "note",
                    "message": "(6) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/alloc.c",
                    "line": 1284,
                    "column": 9,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/include/private/gc_priv.h",
                    "line": 359,
                    "column": 33,
                    "event": "note",
                    "message": "(8) calling 'GC_notify_or_invoke_finalizers' from 'GC_try_to_collect_general'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/alloc.c",
                    "line": 1285,
                    "column": 5,
                    "event": "note",
                    "message": "in expansion of macro 'GC_INVOKE_FINALIZERS'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/extra/gc.c",
                    "line": 53,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1275,
                    "column": 15,
                    "event": "note",
                    "message": "(9) entry to 'GC_notify_or_invoke_finalizers'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1286,
                    "column": 10,
                    "event": "note",
                    "message": "(10) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/include/private/gc_priv.h",
                    "line": 290,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/include/private/gc_locks.h",
                    "line": 274,
                    "column": 28,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1289,
                    "column": 5,
                    "event": "note",
                    "message": "in expansion of macro 'LOCK'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1320,
                    "column": 8,
                    "event": "note",
                    "message": "(12) following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(14) calling 'GC_notify_or_invoke_finalizers.part.0' from 'GC_notify_or_invoke_finalizers'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1275,
                    "column": 15,
                    "event": "note",
                    "message": "(15) entry to 'GC_notify_or_invoke_finalizers.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1325,
                    "column": 8,
                    "event": "note",
                    "message": "(16) following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1326,
                    "column": 32,
                    "event": "note",
                    "message": "(17) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/finalize.c",
                    "line": 1326,
                    "column": 32,
                    "event": "note",
                    "message": "(18) calling 'GC_check_finalizer_nested' from 'GC_notify_or_invoke_finalizers.part.0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 731,
                    "column": 27,
                    "event": "note",
                    "message": "(19) entry to 'GC_check_finalizer_nested'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/gc-8.2.2-build/gc-8.2.2/pthread_support.c",
                    "line": 734,
                    "column": 32,
                    "event": "note",
                    "message": "(20) dereference of NULL 'GC_lookup_thread(pthread_self())'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  732|     {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  733|       GC_thread me = GC_lookup_thread(pthread_self());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  734|->     unsigned nesting_level = me->finalizer_nested;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  735|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  736|       if (nesting_level) {",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
