{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "diffbase-analyzer-version-clang": "18.1.7",
        "diffbase-analyzer-version-cppcheck": "2.14.2",
        "diffbase-analyzer-version-gcc": "14.1.1",
        "diffbase-analyzer-version-gcc-analyzer": "14.1.1",
        "diffbase-analyzer-version-shellcheck": "0.10.0",
        "diffbase-enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "diffbase-exit-code": 0,
        "diffbase-host": "ip-172-16-1-44.us-west-2.compute.internal",
        "diffbase-mock-config": "fedora-41-x86_64",
        "diffbase-project-name": "gc-8.2.2-6.fc40",
        "diffbase-store-results-to": "/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.tar.xz",
        "diffbase-time-created": "2024-07-03 12:38:38",
        "diffbase-time-finished": "2024-07-03 12:40:22",
        "diffbase-tool": "csmock",
        "diffbase-tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.tar.xz' '--gcc-analyze' '/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.src.rpm'",
        "diffbase-tool-version": "csmock-3.5.3-1.el9",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-44.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "gc-8.2.2-6.fc40",
        "store-results-to": "/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.tar.xz",
        "time-created": "2024-07-03 12:38:38",
        "time-finished": "2024-07-03 12:40:22",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.tar.xz' '--gcc-analyze' '/tmp/tmp90w8ohxt/gc-8.2.2-6.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function 'int main(int, char**)'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 137,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'a1'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  137 |   auto a1 = 6538;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 144,
                    "column": 16,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'a4'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  144 |   decltype(a2) a4 = 34895.034;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 148,
                    "column": 9,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'sa'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148 |   short sa[cxx11test::get_val()] = { 0 };",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 152,
                    "column": 23,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'il'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  152 |   cxx11test::testinit il = { 4323, 435234.23544 };",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                       ^~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 173,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'a'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  173 |   auto a = sum(1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 173,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'a' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 173,
                    "column": 8,
                    "event": "note",
                    "message": "Value stored to 'a' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 174,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'b'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  174 |   auto b = sum(1, 2);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 174,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'b' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 174,
                    "column": 8,
                    "event": "note",
                    "message": "Value stored to 'b' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 175,
                    "column": 8,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'c'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  175 |   auto c = sum(1.0, 2.0, 3.0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 175,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'c' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 175,
                    "column": 8,
                    "event": "note",
                    "message": "Value stored to 'c' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 180,
                    "column": 25,
                    "event": "warning[-Wvexing-parse]",
                    "message": "empty parentheses were disambiguated as a function declaration",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  180 |   cxx11test::delegate d2();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 180,
                    "column": 25,
                    "event": "note",
                    "message": "remove parentheses to default-initialize a variable",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  180 |   cxx11test::delegate d2();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         --",
                    "verbosity_level": 1
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 180,
                    "column": 25,
                    "event": "note",
                    "message": "or replace parentheses with braces to value-initialize a variable",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 189,
                    "column": 9,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'c'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  189 |   char *c = nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 197,
                    "column": 15,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'utf8'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  197 |   char const *utf8 = u8\"UTF-8 string \\u2500\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 197,
                    "column": 15,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'utf8' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 197,
                    "column": 15,
                    "event": "note",
                    "message": "Value stored to 'utf8' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 198,
                    "column": 19,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'utf16'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  198 |   char16_t const *utf16 = u\"UTF-8 string \\u2500\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 198,
                    "column": 19,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'utf16' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 198,
                    "column": 19,
                    "event": "note",
                    "message": "Value stored to 'utf16' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 199,
                    "column": 19,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable 'utf32'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  199 |   char32_t const *utf32 = U\"UTF-32 string \\u2500\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 199,
                    "column": 19,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'utf32' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "gc-8.2.2-build/gc-8.2.2/conftest.cpp",
                    "line": 199,
                    "column": 19,
                    "event": "note",
                    "message": "Value stored to 'utf32' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        }
    ]
}
